Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.interceptor
Interface InterceptorChain

All Superinterfaces:
  java.lang.Iterable<Interceptor<? extends Message>>

All Known Implementing Classes:
  PhaseInterceptorChain

    public interface InterceptorChain

extends java.lang.Iterable<Interceptor<? extends Message>>

Nested Class Summary
`static class` | `InterceptorChain.State`

Field Summary
`static java.lang.String` | `STARTING_AFTER_INTERCEPTOR_ID`
`static java.lang.String` | `STARTING_AT_INTERCEPTOR_ID`

Method Summary
`void` | `abort()`
`void` | `add(java.util.Collection<Interceptor> i)`
`void` | `add(Interceptor i)`
`boolean` | `doIntercept(Message message)`
`boolean` | `doInterceptStartingAfter(Message message, java.lang.String startingAfterInterceptorID)`
`boolean` | `doInterceptStartingAt(Message message, java.lang.String startingAtInterceptorID)`
`MessageObserver` | `getFaultObserver()`
`java.util.ListIterator<Interceptor<? extends Message>>` | `getIterator()`
`void` | `pause()`
`void` | `remove(Interceptor i)`
`void` | `reset()`
`void` | `resume()`
`void` | `setFaultObserver(MessageObserver i)`

Methods inherited from interface java.lang.Iterable
`iterator`

Field Detail

### STARTING_AFTER_INTERCEPTOR_ID

    static final java.lang.String STARTING_AFTER_INTERCEPTOR_ID

See Also:
  Constant Field Values

### STARTING_AT_INTERCEPTOR_ID

    static final java.lang.String STARTING_AT_INTERCEPTOR_ID

See Also:
  Constant Field Values

Method Detail

### add

    void add(Interceptor i)

### add

    void add(java.util.Collection<Interceptor> i)

### remove

    void remove(Interceptor i)

### doIntercept

    boolean doIntercept(Message message)

### doInterceptStartingAfter

    boolean doInterceptStartingAfter(Message message,
                                     java.lang.String startingAfterInterceptorID)

### doInterceptStartingAt

    boolean doInterceptStartingAt(Message message,
                                  java.lang.String startingAtInterceptorID)

### pause

    void pause()

### resume

    void resume()

### reset

    void reset()

### getIterator

    java.util.ListIterator<Interceptor<? extends Message>> getIterator()

### getFaultObserver

    MessageObserver getFaultObserver()

### setFaultObserver

    void setFaultObserver(MessageObserver i)

### abort

    void abort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.